<?php
	/***************
	 * search.php
	 * Intro to PHP and SQLite - SELECT and WHERE Statements
	 * Page builds on select.php (which was used as the base)
	 * 
	 * Jaime Ruiz 		initial		March 2, 2015
	 * Jaime Ruiz		moved towards search Mar 5, 2015
	 */
	require_once "inc/page_setup.php";
	
	//Set some variables required by header
	$title = "Databases with PDO and SQLite";
	$page_name ="search";
	//Include example header
	include 'inc/header.php';
	
	$current_tab = "rank";
	$current_page = 1;
	$num_per_page = 25;
	
	if(isset($_GET["b"])){
		$current_tab = strip_tags($_GET["b"]);
	}
	if(isset($_GET["p"])){
		$current_page = intval($_GET["p"]);
	}
?>
<main>
	<div class="container">
		<div class="row">
			<div class="col-sm-3">
				<?php 
					include "inc/sidenav.php";
				?>
			</div>
			<div class="col-sm-9">
			<div class="page-header">
				<h2>Search the Top Albums of All Time</h2>
			</div>
			<div>
			
			<form class="form-inline" method="get">
			  <div class="form-group">
			    <label class="sr-only" for="q">Search</label>
			    <input type="text" class="form-control" name="q" id="q" placeholder="Search" />
			    <input type="hidden" name="b" value="<?php echo $current_tab?>" />
			  </div>
			  
			  <button type="submit" class="btn btn-default"><span class="glyphicon glyphicon-search" aria-label="Submit"></span></button>
			</form>
			</div>
			<div class="clear-all pad-bottom"></div>
			<?php 
			if(isset($_GET["q"])):
				$tab_urls = Utils::removeParameterFromUrl("b");
				$tab_urls = Utils::makeSureURLIsQueryString($tab_urls);
			?>
			<nav>
				<ul class="nav nav-tabs">
				  <li <?php echo getIsActive($current_tab, "rank"); ?>><a href="<?php echo $tab_urls;?>&b=rank">By Rank</a></li>
				  <li <?php echo getIsActive($current_tab, "artist"); ?>><a href="<?php echo $tab_urls;?>&b=artist">By Artist</a></li>
				  <li <?php echo getIsActive($current_tab, "year"); ?>><a href="<?php echo $tab_urls;?>&b=year">By Year</a></li>
				</ul>
			</nav>
			<?php 
				$db = new Database();
				$query_term = strip_tags($_GET["q"]);
				$num_of_results = $db->getNumberOfResults($query_term);
				$max_pages = ceil($num_of_results/$num_per_page);
				$offset = $num_per_page*($current_page-1);
				$albums = $db->searchForResultsAndSort($query_term, $current_tab, $num_per_page, $offset);
				
			?>
			<div class="pull-left" style="padding:20px;">
				Showing Search Results for <b><?php echo strip_tags($_GET["q"]);?></b>
			</div>
			<?php 
				if($num_of_results == 0):
					echo "<p class=\"clear-all\">We did not find any results for the term <b>$query_term</b>";
				else:
			?>
			<nav class="pull-right">
			  <?php 
			  	Utils::createPagination($current_page, $max_pages);
			  ?>
			</nav>
			
			 <table class="table table-condensed table-striped clear-all">
			 	<!-- defines the header of a table -->
			 	<thead>
			 		<tr>
			 			<th>Rank</th>
			 			<th>Title</th>
			 			<th>Year</th>
			 			<th>Artist</th>
			 		</tr>
			 	</thead>
			 	<tbody>
			 	<?php 
			 		foreach ($albums as $album){ ?>
			 		<tr>
			 			<td><?php echo $album->rank ?></td>
			 			<td><?php echo $album->title ?></td>
			 			<td><?php echo $album->year ?></td>
			 			<td><?php echo $album->artist ?></td>
			 		</tr>	
			 	<?php 
			 		}
			 	?>
			 	</tbody>
			 </table>
			   <nav class="pull-right">
			  <?php 
			  	Utils::createPagination($current_page, $max_pages);
			  ?>
			</nav>
			<?php 
				endif; //End of num_results == 0;
				endif; //End of if statment checking for query
			?>
			</div>
		</div>
	</div>
</main>

<?php include 'inc/footer.php'; ?>
