<?php
/***************
 * update-form.php
 * Intro to PHP and SQLite 
 * Presents user with a form to edit a page
 * 
 * Jaime Ruiz		initial		 Mar 5, 2015
 */
require_once "inc/page_setup.php";

// Set some variables required by header
$title = "Databases with PDO and SQLite";
$page_name = "search";
// Include example header
include 'inc/header.php';

$current_tab = "update";

// We need to make sure an ID was passed otherwise we don't know what
// to edit
if (! isset ( $_GET ["id"] )) {
	$id = - 1;
} else {
	$id = intval ( $_GET ["id"] );
}
$db = new Database ();
?>
<main>
<div class="container">
	<div class="row">
		<div class="col-sm-3">
				<?php
				include "inc/sidenav.php";
				?>
			</div>
		<div class="col-sm-9">
			<div class="page-header">
				<h2>Edit an Album</h2>
			</div>
			<div>
			<?php if($id < 0):?>
				<div class="bg-danger" style="padding: 20px">
					<h4>You did not specify a record to edit.</h4>
				</div>
			
			 <?phpelse : // Else if $id < 0
				
				if (isset ( $_POST ["id"] )) :
					// Really I should be doing error checking at this point
					// but am not for this example.
					
					$artist = new Artist ();
					// THIS IS BAD BECAUSE YOU ARE CHANGING THE NAME
					// OF THE ARTIST ON ALL ALBUMS
					$artist->name = strip_tags ( $_POST ["artist"] );
					$artist->id = intval ( $_POST ["artist_id"] );
					$result = $db->updateArtist ( $artist );
					
					$album = new Album ();
					$album->id = intval ( $_POST ["id"] );
					$album->rank = intval ( strip_tags ( $_POST ["rank"] ) );
					$album->year = intval ( strip_tags ( $_POST ["year"] ) );
					$album->title = strip_tags ( $_POST ["title"] );
					$album->artist = $artist;
					$result = $result && $db->updateAlbum ( $album );
					
					if ($result) {
						echo '<div class="bg-success" style="padding:12px; margin-bottom:20px;">';
						echo '<h4>Album Saved</h4>';
						echo '</div>';
					}
					;
				 else :
					$album = $db->getAlbumDetails ( $id );
				endif; // End form processing
				
				?>
				<form class="form-horizontal" method="post">
					<div class="form-group">
						<label class="col-sm-2 control-label" for="rank">Rank</label>
						<div class="col-sm-2">
							<input type="text" class="form-control" name="rank" id="rank"
								value="<?php echo $album->rank ?>" />
						</div>
					</div>
					<div class="form-group">
						<label class="col-sm-2 control-label" for="artist">Artist</label>
						<div class="col-sm-10">
							<input type="text" class="form-control" name="artist" id="artist"
								value="<?php echo $album->artist ?>" /> <input type="hidden"
								name="artist_id" value="<?php echo $album->artist->id ?>" />
						</div>
					</div>
					<div class="form-group">
						<label class="col-sm-2 control-label" for="title">Title</label>
						<div class="col-sm-10">
							<input type="text" class="form-control" name="title" id="title"
								value="<?php echo $album->title ?>" />
						</div>
					</div>
					<div class="form-group">
						<label class="col-sm-2 control-label" for="rank">Year</label>
						<div class="col-sm-2">
							<input type="text" class="form-control" name="year" id="year"
								value="<?php echo $album->year ?>" />
						</div>
					</div>
					<input type="hidden" name="id" value="<?php echo $album->id; ?>" />
					<div class="form-group">
						<div class="col-sm-offset-2 col-sm-10">
							<button type="submit" class="btn btn-default">Save</button>
						</div>
					</div>
				</form>
			<?php endif; //End ID check?>
			</div>
		</div>
	</div>

</main>

<?php include 'inc/footer.php'; ?>
